Could not convert Rhino.Geometry.Point3d object

I am learning python in grasshopper, starting with some basics, scaling, remapping, etc.
I have completed the code (in my opinion)
but it gives me this error over and over again.
Can someone kindly have a look at the attached .gh file and help me discover a solution to the error?
Scaling_Voronoi_Python.gh (11.7 KB)

@DanielPiker @anon39580149 @laurent_delrieu
I have learned grasshopper with a lot of your resources online and through this forum and now I am upskilling to learn python in .gh
looking forward to your help and support.
thank you in advance

Error:
Runtime error (ValueErrorException): Could not convert [<Rhino.Geometry.Point3d object at 0x00000000000002E1 [-0.502662831685814,-0.778512045637943,-0.0659786402555083]>, <Rhino.Geometry.Point3d object at 0x00000000000002E2

Hi

  • You used scaled_breps list but you disabled it
  • Don’t use the same name: base_brep = base_brep[i]
  • base_pt is a list, you need a single point (in this case base_pt[i])

You can fix it like this

Scaling_Voronoi_Python.gh (17.2 KB)

1 Like

I appreciate your help, Seghier. I understand my error now and I’ll practice coding more, but there aren’t many Python examples for design/form-finding. I realize that Python is a programming language, not a design tool, and I wonder if I should learn it from a computer science perspective first. Thanks again for your time and thoughts